Bug 996781 - Unable to add SOAP binding to Reference in editor
Unable to add SOAP binding to Reference in editor
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER2
: ---
Assigned To: Brian Fitzpatrick
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 19:23 EDT by Brian Fitzpatrick
Modified: 2015-08-02 19:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1638 Major Closed Convert tabs in new binding wizards to pages 2014-06-16 19:49:56 EDT
JBoss Issue Tracker SWITCHYARD-1643 Critical Closed Unable to add SOAP binding to Reference in editor 2014-06-16 19:53:27 EDT

  None (edit)
Description Brian Fitzpatrick 2013-08-13 19:23:39 EDT
Description of problem:
While testing SWITCHYARD-1642, I discovered that it is not possible to add a SOAP binding to a composite reference in the editor. When you do, you get an exception.

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Create a composite reference.
2. Drag SOAP binding to reference. 
3. Add enough data to enable the Finish button.
4. Click Finish. 

Actual results:
!ENTRY org.eclipse.graphiti.ui 4 0 2013-08-13 11:33:00.950
!MESSAGE GFCommandStack.execute(Command) java.lang.NullPointerException
!STACK 0
java.lang.NullPointerException
       at org.switchyard.tools.ui.editor.components.soap.SOAPBindingWizardPage.getBinding(SOAPBindingWizardPage.java:101)
       at org.switchyard.tools.ui.editor.components.soap.SOAPBindingWizard.getCreatedObject(SOAPBindingWizard.java:40)
       at org.switchyard.tools.ui.editor.components.soap.SOAPBindingWizard.getCreatedObject(SOAPBindingWizard.java:1)
       at org.switchyard.tools.ui.editor.diagram.shared.BaseTypeFactory.wizardComplete(BaseTypeFactory.java:53)
       at org.switchyard.tools.ui.editor.diagram.shared.BaseTypeFactory.createType(BaseTypeFactory.java:38)
       at org.switchyard.tools.ui.editor.diagram.shared.CreateTypeFeature.create(CreateTypeFeature.java:93)
       at org.eclipse.graphiti.features.impl.AbstractCreateFeature.execute(AbstractCreateFeature.java:100)
       at org.eclipse.graphiti.internal.command.GenericFeatureCommandWithContext.execute(GenericFeatureCommandWithContext.java:64)
       at org.eclipse.graphiti.internal.command.GFPreparableCommand.doExecute(GFPreparableCommand.java:37)
       at org.eclipse.emf.transaction.RecordingCommand.execute(RecordingCommand.java:135)
       at org.eclipse.graphiti.ui.internal.editor.GFWorkspaceCommandStackImpl.execute(GFWorkspaceCommandStackImpl.java:117)
       at org.eclipse.emf.transaction.impl.AbstractTransactionalCommandStack.execute(AbstractTransactionalCommandStack.java:219)
       at org.eclipse.graphiti.internal.command.CommandExec.executeCommand(CommandExec.java:85)
       at org.eclipse.graphiti.ui.internal.command.CreateModelObjectCommand.execute(CreateModelObjectCommand.java:54)
       at org.eclipse.graphiti.ui.internal.editor.EmfOnGefCommand.execute(EmfOnGefCommand.java:54)
       at org.eclipse.graphiti.internal.command.GFPreparableCommand2.doExecute(GFPreparableCommand2.java:37)
       at org.eclipse.emf.transaction.RecordingCommand.execute(RecordingCommand.java:135)
       at org.eclipse.emf.workspace.EMFCommandOperation.doExecute(EMFCommandOperation.java:119)
       at org.eclipse.emf.workspace.AbstractEMFOperation.execute(AbstractEMFOperation.java:150)
       at org.eclipse.core.commands.operations.DefaultOperationHistory.execute(DefaultOperationHistory.java:513)
       at org.eclipse.emf.workspace.impl.WorkspaceCommandStackImpl.doExecute(WorkspaceCommandStackImpl.java:208)
       at org.eclipse.emf.transaction.impl.AbstractTransactionalCommandStack.execute(AbstractTransactionalCommandStack.java:165)
       at org.eclipse.graphiti.ui.internal.editor.GFWorkspaceCommandStackImpl.execute(GFWorkspaceCommandStackImpl.java:84)
       at org.eclipse.graphiti.ui.internal.editor.GFCommandStack.execute(GFCommandStack.java:138)
       at org.eclipse.gef.tools.AbstractTool.executeCommand(AbstractTool.java:425)
       at org.eclipse.gef.tools.AbstractTool.executeCurrentCommand(AbstractTool.java:438)
       at org.eclipse.gef.tools.CreationTool.performCreation(CreationTool.java:269)
       at org.eclipse.gef.tools.CreationTool.handleButtonUp(CreationTool.java:189)
       at org.eclipse.gef.tools.AbstractTool.mouseUp(AbstractTool.java:1200)
       at org.eclipse.gef.EditDomain.mouseUp(EditDomain.java:301)
       at org.eclipse.gef.ui.parts.DomainEventDispatcher.dispatchMouseReleased(DomainEventDispatcher.java:380)
       at org.eclipse.draw2d.LightweightSystem$EventHandler.mouseUp(LightweightSystem.java:548)
       at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:220)
       at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
       at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1057)
       at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4170)
       at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3759)
       at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$9.run(PartRenderingEngine.java:1113)
       at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
       at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:997)
       at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:138)
       at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:610)
       at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
       at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:567)
       at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:150)
       at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:124)
       at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
       at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
       at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
       at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:354)
       at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:181)
       at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
       at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
       at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
       at java.lang.reflect.Method.invoke(Unknown Source)
       at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:636)
       at org.eclipse.equinox.launcher.Main.basicRun(Main.java:591)
       at org.eclipse.equinox.launcher.Main.run(Main.java:1450)
       at org.eclipse.equinox.launcher.Main.main(Main.java:1426)

Expected results:
No error. Binding gets added.

Additional info:
Comment 1 JBoss JIRA Server 2013-08-13 19:28:05 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1643

This PR fixes the issue. This may conflict with a separate change initiated by Rob to update the wizard flow, but that change has not yet been merged into the master branch yet.
Comment 3 Rob Cernich 2013-08-15 12:49:41 EDT
This may have been made out of date after the wizards were updated as part of SWITCHYARD-1638.
Comment 4 Brian Fitzpatrick 2013-08-15 13:57:47 EDT
The changes for SWITCHYARD-1638 resolved this issue. We can close it.
Comment 5 JBoss JIRA Server 2013-08-19 10:32:25 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1643

Was fixed by Rob's adjustment to binding wizards
Comment 6 Jiri Sedlacek 2013-09-17 09:57:18 EDT
verified in ER2
Comment 10 JBoss JIRA Server 2014-06-16 19:49:56 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1638 to Closed
Comment 11 JBoss JIRA Server 2014-06-16 19:53:28 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1643 to Closed

Note You need to log in before you can comment on or make changes to this bug.